#!/bin/sh

if test ! `whoami` == "root"; then
    echo "You must be root to install PLaSM."
    exit 1
fi

if test ! -f "plasm-bin.tar"; then
    echo "Cannot find the PLaSM installation archive."
    exit 1
fi

echo -n "Installing dependent packages..."
apt-get install -y -q freeglut3 freeglut3-dev gsl-bin libgsl0 libgsl0-dev libxml2 libxml2-dev &>/dev/null
echo " Done."

echo -n "Installing PLaSM..."
tar xf plasm-bin.tar -C /
echo " Done."
